import { EventEmitter, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { GrcRiskListingComponent } from '../grc-risk-listing/grc-risk-listing.component';
import { GrcService } from '../../services/grc.service';
import * as i0 from "@angular/core";
export declare class RiskCategoryRiskListingComponent implements OnInit {
    private grcService;
    tableCard: {
        title: string;
        count: number;
        selectedCount: number;
        key: string;
        type: number;
        totalCount: number;
    }[];
    CDN_LINK: {
        grcObjectName: string;
        grcOwners: string;
        grcRC: string;
        grcType: string;
        customFields: string;
        noData: string;
        linkOthers: string;
        linkGRC: string;
        linkPolicyNoDataImage: string;
        linkedPolicyImage: string;
    };
    categorySubscription: Subscription;
    riskSubscription: Subscription;
    animation: boolean;
    isCategoryLoader: boolean;
    isRiskLoader: boolean;
    selectedTab: number;
    categoryCurrentPage: number;
    searchString: string;
    categoriesList: any;
    risksList: any;
    activeCategory: any;
    riskCurrentPage: number;
    selectedCatAndRisk: any;
    preSelectedCatAndRisk: any;
    selectedCategoryIds: any;
    selectedCategories: any;
    selectedRisks: any;
    set selectedCatAndRiskData(value: any);
    selectedRC: any[];
    closeUsersList: EventEmitter<any>;
    responsibilityListingComponent: GrcRiskListingComponent;
    constructor(grcService: GrcService);
    ngOnInit(): void;
    setSelectedTab(event: any): void;
    getCategoriesList(): void;
    getCategoriesCount(): void;
    getRiskList(clickedType?: any): void;
    setDataListStructure(res: any): any;
    activeSelectedCategory(event: any): void;
    getUpdatedDataList(event: any): void;
    getTotalRiskPage(): number;
    handleSearch(event: any): void;
    close(): void;
    save(): void;
    onCategoryPageChange(event: any): void;
    changeSelectedCatAndRisk(event: any): void;
    getSelectedCategoriesId(selectedData: any): void;
    getRiskCategoryPayload(selectedData: any): void;
    deleteEvent(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RiskCategoryRiskListingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RiskCategoryRiskListingComponent, "app-risk-category-risk-listing", never, { "selectedTab": { "alias": "selectedTab"; "required": false; }; "selectedCatAndRiskData": { "alias": "selectedCatAndRisk"; "required": false; }; "selectedRC": { "alias": "selectedRC"; "required": false; }; }, { "closeUsersList": "closeUsersList"; }, never, never, true, never>;
}
